%define pkg_name        Sort-Key-DateTime
%define pkg_version     0.05
%define rpm_pkg_version 0.05
%define rpm_pkg_release 2.n0i.2

Summary:       Perl extension for sorting objects by some DateTime key
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SA/SALVA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(DateTime) >= 0.28}
%{!?_without_test:BuildRequires: perl(Sort::Key) >= 0.04}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.54}
Requires:      perl(DateTime) >= 0.28
Requires:      perl(Sort::Key) >= 0.04


%description
Sort::Key::DateTime allows to sort objects by some (calculated) key
of type DateTime.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Sep 21 2005 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
